Subject: bug#35896: closed (Re: bug#35896: 27.0.50; Gmane certificate host does not match hostname)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 25 May 2019 16:04:02 +0000

Your bug report

#35896: 27.0.50; Gmane certificate host does not match hostname

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35896: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35896
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#35896: 27.0.50; Gmane certificate host does not match hostname
From: Stefan Monnier <[email-masked]>
To: Andreas Schwab <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 May 2019 12:03:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

>> Whenever gmane update their certificate NSM asks me for confirmation,
>> saying:
>>
>>     The TLS connection to news.gmane.org:nntp is insecure for the following
>>     reason:
>>
>>     certificate host does not match hostname
>
> Are you sure the question is about news.gmane.org, not news.gwene.org?

I didn't copy&paste the text (because the prompt is not a minibuffer
and here I'm exposed to the undesirable difference ;-), so maybe you're
right: maybe I didn't read carefully enough to notice it said "gwene"
instead of "gmane".

[...comparing my network-security.data with my backup's...]

Yup, you're right, it seems that it was gwene's so I guess it's
a misconfiguration there where they share a single certificate but only
tell Letsencrypt about one of the two names.

Thanks,

        Stefan

Subject: 27.0.50; Gmane certificate host does not match hostname
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Date: Sat, 25 May 2019 07:53:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 27.0.50

Whenever gmane update their certificate NSM asks me for confirmation,
saying:

    The TLS connection to news.gmane.org:nntp is insecure for the following
    reason:

    certificate host does not match hostname

If I look at the certificate info above I see:

    Issued to:       CN=news.gmane.org
    Hostname:        news.gmane.org

So to me, it looks like the hostname matches, except maybe for the "CN="
which seems like a mistake.  Is that a mistake on our side or on Gmane's
or on Let's Encrypt?

        Stefan